# Interface SecurityConstraints

All Superinterfaces:
  `Constraints`

All Known Implementing Classes:
  `DefaultSecurityConstraints`

@UML(identifier="MD_SecurityConstraints", specification=ISO_19115) public interface SecurityConstraints extends Constraints
Handling restrictions imposed on the resource for national security or similar security concerns.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Classification`
  `getClassification()`
  Name of the handling restrictions on the resource.
  `InternationalString`
  `getClassificationSystem()`
  Name of the classification system.
  `InternationalString`
  `getHandlingDescription()`
  Additional information about the restrictions on handling the resource.
  `InternationalString`
  `getUserNote()`
  Explanation of the application of the legal constraints or other restrictions and legal prerequisites for obtaining and using the resource.

  ### Methods inherited from interface Constraints

  `getUseLimitations`

- ## Method Details

  - ### getClassification

    @UML(identifier="classification", obligation=MANDATORY, specification=ISO_19115) Classification getClassification()
    Name of the handling restrictions on the resource.
    Returns:
      Name of the handling restrictions on the resource.

  - ### getUserNote

    @UML(identifier="userNote", obligation=OPTIONAL, specification=ISO_19115) InternationalString getUserNote()
    Explanation of the application of the legal constraints or other restrictions and legal prerequisites for obtaining and using the resource.
    Returns:
      Explanation of the application of the legal constraints, or `null`.

  - ### getClassificationSystem

    @UML(identifier="classificationSystem", obligation=OPTIONAL, specification=ISO_19115) InternationalString getClassificationSystem()
    Name of the classification system.
    Returns:
      Name of the classification system, or `null`.

  - ### getHandlingDescription

    @UML(identifier="handlingDescription", obligation=OPTIONAL, specification=ISO_19115) InternationalString getHandlingDescription()
    Additional information about the restrictions on handling the resource.
    Returns:
      Additional information about the restrictions, or `null`.